Package skyview

# Interface Component

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `Survey`

All Known Implementing Classes:
  `AddingMosaicker`, `Ait`, `Ait.AitDeproj`, `Arc`, `Arc.ArcDeproj`, `BackupMosaicker`, `Besselian`, `Besselian`, `Besselian.BesselianInverse`, `BoundaryAverage`, `BoundaryMedian`, `BoxSmoother`, `Cah`, `Cah.CahDeproj`, `Car`, `Car.CarDeproj`, `CatalogPostProcessor`, `CatalogProcessor`, `Clip`, `Combo`, `Converter`, `CoordinateSystem`, `Csc`, `Csc.CscDeproj`, `Deedger`, `Deprojecter`, `DepthSampler`, `Distorter`, `DSS`, `DSS.DSSInv`, `DSSImage`, `Ecliptic`, `FitsImage`, `Galactic`, `GaussSmoother`, `HealPixImage`, `Helioecliptic`, `HipsImage`, `Hpx`, `Hpx.HpxDeproj`, `HTMLWriter`, `ICRS`, `IDMosaic`, `IJProcessor`, `Image`, `ImageMedian`, `InfoPrint`, `Julian`, `Lanczos`, `LI`, `Mer`, `Mer.MerDeproj`, `Mol`, `Mol.MolDeproj`, `Mosaicker`, `Neat`, `Neat.NeatInv`, `NN`, `NormedGaussSmoother`, `PolarData`, `Prefetcher`, `Processor`, `Projecter`, `ProxyImage`, `RGBWriter`, `Rotater`, `Sampler`, `Scaler`, `Sfl`, `Sfl.SflDeproj`, `SIAWriter`, `Sin`, `Sin.SinDeproj`, `SIP`, `SIP.SIPinverse`, `SphereDistorter`, `Spline`, `Stg`, `Stg.StgDeproj`, `Subset`, `SubsetMosaicker`, `Tan`, `Tan.TanDeproj`, `Tea`, `Tea.TeaDeproj`, `ThresholdMedianSmoother`, `Toa`, `Toa.ToaDeproj`, `Tot`, `Tot.TotDeproj`, `Transformer`, `UserSurvey`, `WCS`, `WeightedSmoother`, `XMLSurvey`, `Xtn`, `Zea`, `Zea.ZeaDeproj`, `Zpn`, `Zpn.ZpnDeproj`

public interface Component extends Serializable

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.

## Method Details

### getName

String getName()
Get the name of this component.

### getDescription

String getDescription()
Get the description of this component.